Create TableColumn
Namespace: microsoft.graph
Use this API to create a new TableColumn.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Files.ReadWrite |
| Delegated (personal Microsoft account) | Not supported. |
| Application | Not supported. |
HTTP request
POST /me/drive/items/{id}/workbook/tables/{id|name}/columns
POST /me/drive/root:/{item-path}:/workbook/tables/{id|name}/columns
POST /me/drive/items/{id}/workbook/worksheets/{id|name}/tables/{id|name}/columns
POST /me/drive/root:/{item-path}:/workbook/worksheets/{id|name}/tables/{id|name}/columns
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
| Workbook-Session-Id | Workbook session Id that determines if changes are persisted or not. Optional. |
Request body
In the request body, supply a JSON representation of WorkbookTableColumn object.
Response
If successful, this method returns 201 Created response code and WorkbookTableColumn object in the response body.
Example
Request
Here is an example of the request.
POST https://graph.microsoft.com/v1.0/me/drive/items/{id}/workbook/tables/{id|name}/columns
Content-type: application/json
{
"id": "99",
"name": "name-value",
"index": 99,
"values": "values-value"
}
In the request body, supply a JSON representation of WorkbookTableColumn object.
Response
Here is an example of the response. Note: The response object shown here might be shortened for readability.
HTTP/1.1 201 Created
Content-type: application/json
{
"id": "99",
"name": "name-value",
"index": 99,
"values": "values-value"
}
Feedback
Submit and view feedback for